#include <bits/stdc++.h>

using namespace std;

int main(){

    vector<int> v;
    int n, k, x;
    scanf("%d%d%d", &n, &k, &x);
    int a=1, b=k;
    for(int i = 1; i<k; i++){
        if(k%i==0){
            if(i*(k/i)<k)
            {
                a=i;
                b=k/i;
            }
        }
    }
    for(int i =0; i<a; i++)
        v.push_back(1);

    for(int i =0; i<b ; i++)
        v.push_back(x+2);


    for(int i =0; i<(n-(a+b)); i++)
        v.push_back(x/2);

    for(int i=0; i<v.size(); i++)
        printf("%d ", v[i]);
    printf("\n");
    return 0;
}